#ifndef _CIMAGEGUI_H_
#define _CIMAGEGUI_H_

#include "../App/EngineH.h"
#include "CBaseGUI.h"

class C_GIMAGE_0 : public C_BASEGUI_0
{
private :
	uint _texture_id;

public :
	C_GIMAGE_0(std::string name, uint texture_id, TRect rect, TRGBi color = RGBi_WHITE);

public :
	void				SetIdImage(uint id){ _texture_id = id; }
	virtual void		Keyboard(bool keys[255]);
	virtual void		MouseClick(int button,int x,int y);
	virtual void		MouseMove(int x,int y);
	virtual void		Render(bool focus);
};

#endif //_CIMAGEGUI_H_